{% extends 'home/static/base/base.html' %}
{% block content %}
{% load static %}
<head>
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.1/css/all.css" integrity="sha384-gfdkjb5BdAXd+lj+gudLWI+BXq4IuLW5IT+brZEZsLFm++aCMlF1V92rMkPaX4PP" crossorigin="anonymous">
</head>
<br><br><br><br><br><br><br>
<body>
	<div class="container h-100">
		<div class="d-flex justify-content-center h-100">
			<div class="user_card">
				<div class="d-flex justify-content-center">
					<h3 id="form-title">PENDAFTARAN AKUN</h3>
				</div>
				<div class="d-flex justify-content-center form_container">

					<form method="POST" action="">
                        {% csrf_token %}
						<div class="input-group mb-3">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-user"></i></span>
							</div>
							{{form.username}}
						</div>
						<div class="input-group mb-2">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-envelope-square"></i></span>
							</div>
							{{form.email}}
						</div>
						<div class="input-group mb-2">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-key"></i></span>
							</div>
							{{form.password1}}
						</div>
						<div class="input-group mb-2">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-key"></i></span>
							</div>
							{{form.password2}}
						</div>

				   		<div class="d-flex justify-content-center mt-3 login_container">
				 			<input class="btn login_btn" type="submit" value="Daftarkan Akun">
				   		</div>
					</form>
                </div>
                
                {{form.errors}}
                
				<div class="mt-4">
					<div class="d-flex justify-content-center links">
						Sudah memiliki akun? <a href="{% url 'login' %}" class="ml-2">Masuk</a>
					</div>
				</div>
			</div>
		</div>
	</div>
	<script>
		var form_fields = document.getElementsByTagName('input')
		form_fields[1].placeholder='Nama..';
		form_fields[2].placeholder='Email..';
		form_fields[3].placeholder='Ketik Password...';
		form_fields[4].placeholder='Ketik Ulang Password...';

		for (var field in form_fields){	
			form_fields[field].className += ' form-control'
		}
	</script>
{% endblock %}
